<?php
require_once 'application/class/class_ManageSession.php';

global $connecteur;

$action = getValue('action');
$codeFrs = getValue('codeFrs');
$id_content = GestFourniss_Adresses::$id_onglet . '_content';

$mode = getValue("mode"); // Soit L (lecture), soit LE (lecture/ecriture)
if (is_null($mode) || '' == $mode)
    $mode = 'L'; // mode d'affichage par défaut

switch ($action) {
    case 'checkValue':
        $code = getValue('OBJECT');
        $value = trim(getValue('val'));
        $resultat = GestFourniss_Adresses::CheckValue($codeFrs, $code, $value);
        $messageErreur = $resultat['messageErreur'];
        $valeurModifiee = $resultat['valeurModifiee'];
        $libelleValeur = $resultat['libelleValeur'];
        
        if ('' != $valeurModifiee)
            Affichage::setValue($code, $valeurModifiee);
        if ('' != $messageErreur)
            Affichage::messageJS($messageErreur);
        if ('' != $libelleValeur)
            Affichage::innerHTML($code . '_lib', $libelleValeur);
        if ('' == $value)
            Affichage::innerHTML($code . '_lib', '');
        
        break;
}
$connecteur->disconnect();
exit();